//	ＡＩＧライブラリ　フォント関数
//		Copyright (C) 1992-1994,99 by AIG-SOFT

#ifndef	__AIG_FONT__
#define	__AIG_FONT__	1

#include <iocslib.h>
#include "deftype.h"


#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	int	FONTPUT(_FNTBUF *);
	int	FONTPUT2(_FNTBUF *);
	void	TEXTPUT2(int ,int ,_FNTBUF *,int );
	void	TxGPrint(int ,int ,unchar *,int ,int );
	int	fontsetc(int,int,_FNTBUF *);
	void	fontatrb(_FNTBUF *,int);
	void	fontset(_FNTBUF *);
	void	fontset2(_FNTBUF *,int);
#else
	int	FONTPUT();
	int	FONTPUT2();
	void	TEXTPUT2();
	void	TxGPrint();
	int	fontsetc();
	void	fontatrb();
	void	fontset();
	void	fontset2();
#endif
#ifdef	__cplusplus
}
#endif

#endif
